getReturnableLinesForSupplier
READReturnable receipt lines for a supplier, searched + paginated in the database via the get_returnable_receipt_lines RPC.
POST /api/v1/purchasing/getReturnableLinesForSupplier
curl -X POST '<your-host>/api/v1/purchasing/getReturnableLinesForSupplier' \
-H 'Authorization: Bearer <api-key>' \
-H 'Content-Type: application/json' \
-d '{
"supplierId": "string"
}'Response
{
"results": [
{
"alreadyReturned": 0,
"itemId": "string",
"itemName": "string",
"itemReadableId": "string",
"itemTrackingType": "string",
"purchaseOrderLineId": "string",
"purchaseOrderReadableId": "string",
"receiptLineId": "string",
"receiptReadableId": "string",
"receivedQuantity": 0,
"returnableQuantity": 0,
"totalCount": 0,
"unitOfMeasureCode": "string",
"unitPrice": 0
}
],
"count": null
}Parameters
ParameterType
Input schema
schema
{
"type": "object",
"properties": {
"supplierId": {
"type": "string"
},
"args": {
"type": "object",
"properties": {
"purchaseOrderId": {
"type": "string"
},
"search": {
"type": "string"
},
"limit": {
"type": "number"
},
"offset": {
"type": "number"
}
}
}
},
"required": [
"supplierId"
]
}